summaryrefslogtreecommitdiff
path: root/debian/PVER.postinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/PVER.postinst.in')
-rw-r--r--debian/PVER.postinst.in20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/PVER.postinst.in b/debian/PVER.postinst.in
new file mode 100644
index 0000000..073bfb8
--- /dev/null
+++ b/debian/PVER.postinst.in
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ files=$(dpkg -L lib@PVER@-stdlib@HOST_QUAL@ | sed -n '/^\/usr\/lib\/@PVER@\/.*\.py$/p')
+ if [ -n "$files" ]; then
+ /usr/bin/@PVER@ -E -S /usr/lib/@PVER@/py_compile.py $files
+ if grep -sq '^byte-compile[^#]*optimize' /etc/python/debian_config; then
+ /usr/bin/@PVER@ -E -S -O /usr/lib/@PVER@/py_compile.py $files
+ fi
+ else
+ echo >&2 "@PVER@: can't get files for byte-compilation"
+ fi
+esac
+
+#DEBHELPER#
+
+exit 0